# targets to build
TARGETS-plugins := \
	$(srcdir)/libng/plugins/flt-invert.so \
	$(srcdir)/libng/plugins/flt-smooth.so \
	$(srcdir)/libng/plugins/conv-audio.so \
	$(srcdir)/libng/plugins/read-avi.so \
	$(srcdir)/libng/plugins/read-mpeg.so \
	$(srcdir)/libng/plugins/write-avi.so \
	$(srcdir)/libng/plugins/write-mpeg.so

ifeq ($(FOUND_OS),linux)
TARGETS-plugins += \
	$(srcdir)/libng/plugins/drv0-v4l2.so \
	$(srcdir)/libng/plugins/drv1-v4l.so
endif
ifeq ($(FOUND_OS),bsd)
TARGETS-plugins += \
	$(srcdir)/libng/plugins/drv0-bsd.so 
endif
ifeq ($(FOUND_LQT),yes)
TARGETS-plugins += \
	$(srcdir)/libng/plugins/read-qt.so \
	$(srcdir)/libng/plugins/write-qt.so
endif
ifeq ($(FOUND_DV),yes)
TARGETS-plugins += \
	$(srcdir)/libng/plugins/read-dv.so \
	$(srcdir)/libng/plugins/write-dv.so
endif
ifeq ($(FOUND_MPEG2),yes)
TARGETS-plugins += \
	$(srcdir)/libng/plugins/conv-mpeg.so
endif
ifeq ($(FOUND_ARTS),yes)
TARGETS-plugins += \
	$(srcdir)/libng/plugins/snd0-arts.so
endif
ifeq ($(FOUND_ALSA),yes)
TARGETS-plugins += \
	$(srcdir)/libng/plugins/snd1-alsa.so
endif
ifeq ($(FOUND_JPEG),yes)
TARGETS-plugins += \
	$(srcdir)/libng/plugins/conv-mjpeg.so
endif

# global targets
all:: $(TARGETS-plugins)

install:: all
	$(INSTALL_DIR) $(PKGDIR)/plugins
	$(INSTALL_PROGRAM) $(TARGETS-plugins) $(PKGDIR)/plugins

clean:: clean-plugins

clean-plugins:
	$(RM) $(TARGETS-plugins)

$(srcdir)/libng/plugins/conv-audio.so:  $(srcdir)/libng/plugins/conv-audio.o
$(srcdir)/libng/plugins/conv-mpeg.so:   $(srcdir)/libng/plugins/conv-mpeg.o
$(srcdir)/libng/plugins/drv0-bsd.so:    $(srcdir)/libng/plugins/drv0-bsd.o
$(srcdir)/libng/plugins/flt-debug.so:   $(srcdir)/libng/plugins/flt-debug.o
$(srcdir)/libng/plugins/flt-disor.so:   $(srcdir)/libng/plugins/flt-disor.o
$(srcdir)/libng/plugins/flt-gamma.so:   $(srcdir)/libng/plugins/flt-gamma.o
$(srcdir)/libng/plugins/flt-invert.so:  $(srcdir)/libng/plugins/flt-invert.o
$(srcdir)/libng/plugins/flt-smooth.so:  $(srcdir)/libng/plugins/flt-smooth.o
$(srcdir)/libng/plugins/deinterlace.so: $(srcdir)/libng/plugins/deinterlace.o
$(srcdir)/libng/plugins/read-avi.so:    $(srcdir)/libng/plugins/read-avi.o
$(srcdir)/libng/plugins/read-dv.so:     $(srcdir)/libng/plugins/read-dv.o
$(srcdir)/libng/plugins/read-qt.so:     $(srcdir)/libng/plugins/read-qt.o
$(srcdir)/libng/plugins/read-mpeg.so:   $(srcdir)/libng/plugins/read-mpeg.o
$(srcdir)/libng/plugins/snd0-arts.so:   $(srcdir)/libng/plugins/snd0-arts.o
$(srcdir)/libng/plugins/snd1-alsa.so:   $(srcdir)/libng/plugins/snd1-alsa.o
$(srcdir)/libng/plugins/snd1-oss.so:    $(srcdir)/libng/plugins/snd1-oss.o
$(srcdir)/libng/plugins/write-avi.so:   $(srcdir)/libng/plugins/write-avi.o
$(srcdir)/libng/plugins/write-mpeg.so:  $(srcdir)/libng/plugins/write-mpeg.o
$(srcdir)/libng/plugins/write-dv.so:    $(srcdir)/libng/plugins/write-dv.o
$(srcdir)/libng/plugins/write-qt.so:    $(srcdir)/libng/plugins/write-qt.o
$(srcdir)/libng/plugins/sn9c10x.so:     $(srcdir)/libng/plugins/sn9c10x.o
$(srcdir)/libng/plugins/conv-mjpeg.so:  $(srcdir)/libng/plugins/conv-mjpeg.o
$(srcdir)/libng/plugins/drv0-bsd.so:    $(srcdir)/libng/plugins/drv0-bsd.o
$(srcdir)/libng/plugins/drv0-v4l2.so:   $(srcdir)/libng/plugins/drv0-v4l2.o
$(srcdir)/libng/plugins/drv1-v4l.so: 	$(srcdir)/libng/plugins/drv1-v4l.o

# extra cfrags
$(srcdir)/libng/plugins/snd0-arts.so  : CFLAGS += $(ARTS_FLAGS)

# libraries to link
$(srcdir)/libng/plugins/conv-mjpeg.so : LDLIBS := $(JPEG_LIBS)
$(srcdir)/libng/plugins/read-qt.so    : LDLIBS := $(QT_LIBS)
$(srcdir)/libng/plugins/write-qt.so   : LDLIBS := $(QT_LIBS)
$(srcdir)/libng/plugins/read-dv.so    : LDLIBS := $(DV_LIBS)
$(srcdir)/libng/plugins/write-dv.so   : LDLIBS := $(DV_LIBS)
$(srcdir)/libng/plugins/conv-audio.so : LDLIBS := $(MAD_LIBS)
$(srcdir)/libng/plugins/conv-mpeg.so  : LDLIBS := $(MPEG2_LIBS)
$(srcdir)/libng/plugins/snd0-arts.so  : LDLIBS := $(ARTS_LIBS)
$(srcdir)/libng/plugins/snd1-alsa.so  : LDLIBS := $(ALSA_LIBS)

